simp config should check for the `puppet` user prior to attempting to execute commands using `sg` as the user

Description

Presently, when you run `simp config`, and start the questionnaire, the creation of the omni-environment dies with trying to run an `sg` command. simp config should check for the user and fail gracefully prior to running the command and let the user know that the puppetserver package needs to be installed.

This will become less relevant once the code is updated to support targeting non-production omni-environment locations for bolt, etc...

Acceptance Criteria

None

Activity

Show:
Liz Nemsick
November 22, 2019, 6:06 PM

This is not restricted to simp config. Other commands have the same problem.

Labels

Epic Link

None

Story Points

None

Components

Affects versions

Priority

Medium
Configure